org.optaplanner.core.impl.heuristic.selector.entity

## Interface EntitySelector

- All Superinterfaces:
    EventListener, Iterable<Object>, IterableSelector<Object>, ListIterable<Object>, ListIterableSelector<Object>, PhaseLifecycleListener, Selector, SolverLifecycleListener
  All Known Implementing Classes:
    AbstractCachingEntitySelector, AbstractEntitySelector, CachingEntitySelector, FilteringEntitySelector, FromSolutionEntitySelector, MimicRecordingEntitySelector, MimicReplayingEntitySelector, NearEntityNearbyEntitySelector, ProbabilityEntitySelector, SelectedCountLimitEntitySelector, ShufflingEntitySelector, SortingEntitySelector

      public interface EntitySelector
      extends ListIterableSelector<Object>

  Selects instances of 1 `PlanningEntity` annotated class.
  See Also:
    `AbstractEntitySelector`, `FromSolutionEntitySelector`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Object>` | `endingIterator()` If `Selector.isNeverEnding()` is true, then `Iterable.iterator()` will never end.
    `EntityDescriptor` | `getEntityDescriptor()`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector

      `getSize`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.common.iterator.ListIterable

      `listIterator, listIterator`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Method Detail

    - #### getEntityDescriptor

          EntityDescriptor getEntityDescriptor()

      Returns:
        never null

    - #### endingIterator

          Iterator<Object> endingIterator()

      If `Selector.isNeverEnding()` is true, then `Iterable.iterator()` will never end. This returns an ending `Iterator`, that tries to match `Iterable.iterator()` as much as possible, but returns each distinct element only once and returns every element that might possibly be selected and therefore it might not respect the configuration of this `EntitySelector` entirely.
      Returns:
        never null
      See Also:
        `Iterable.iterator()`

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.